Jump to content
MSFN is made available via donations, subscriptions and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. ×

[WIP] Windows Vista Extended Kernel


win32
 Share

Recommended Posts


On 5/10/2021 at 3:27 AM, burd said:

image.thumb.png.cf975465a3ccaf8e1f8fe274c7f504ac.png

LGS has reached EOL for Vista, 7 and 8.X officially as of 2021.4.3830.

Slightly OT, but can you confirm that version worked on Windows 7 as well as on Vista with extended kernel? I’ve seen reports of difficulties involving 7, although it apparently worked on 8.1. Logitech Support continues to point Windows 7 and 8 users toward version 2021.3.5164, but @Jaguarek62 posted April 15 that it did not work on Windows 7? (I assume that the latest 2021.5.9841 released on May 27 only works on Windows 10.)

Link to comment
Share on other sites

40 minutes ago, Pastelito said:

I don't know if it has been reported before but the Media Foundation Updater breaks WMP 11, cant play anything

Yes, see this January 25 post, but only the x86 WMP is affected. (I wonder if any third-party media software is also affected.) But if you want to watch videos using a Firefox version that requires Windows 7, then the Media Foundation files are necessary.

  • Like 1
Link to comment
Share on other sites

27 minutes ago, Vistapocalypse said:

But if you want to watch videos using a Firefox version that requires Windows 7, then the Media Foundation files are necessary.

is there any way to make a "localized" version of firefox with the required dlls?

Link to comment
Share on other sites

1 hour ago, winvispixp said:

is there any way to make a "localized" version of firefox with the required dlls?

I believe Dixel did exactly that with much earlier versions of the extended kernel. Maybe look for his posts way back in this thread for information. If you don’t mind using Chrome or Opera for watching h264 videos, then I believe you could dispense with mfplatsetup if I’m not mistaken.

Link to comment
Share on other sites

3 hours ago, Vistapocalypse said:

Slightly OT, but can you confirm that version worked on Windows 7 as well as on Vista with extended kernel? I’ve seen reports of difficulties involving 7, although it apparently worked on 8.1. Logitech Support continues to point Windows 7 and 8 users toward version 2021.3.5164, but @Jaguarek62 posted April 15 that it did not work on Windows 7? (I assume that the latest 2021.5.9841 released on May 27 only works on Windows 10.)

Why yes i am using it on windows 7 as my main, actually that pic is from windows 7 only, vista wont update past 2021.4 either but doesnt give the unsupported os error

  • Like 2
Link to comment
Share on other sites

Posted (edited)

@Vistapocalypse Actually i just checked and funnily the GHUB on Vista Updates beyond 7 and 8.x, lmao

 

image.thumb.png.b52c7b27b4a2c23ee220e9cf2b1d9a60.png

Which also means that they can actually run on 7 and 8.x (somehow idk how)

Edited by burd
  • Like 1
Link to comment
Share on other sites

1 hour ago, burd said:

Actually i just checked and funnily the GHUB on Vista Updates beyond 7 and 8.x, lmao

Which also means that they can actually run on 7 and 8.x (somehow idk how)

It sounds like Logitech isn’t very good at ending support for old Windows versions!? Is installation of 2021.5 blocked on Windows 7? (Maybe they just forgot about Vista?) Keep an eye out for any issues with that version. People will want to know the last usable version and you seem to be MSFN’s leading authority on G HUB. :)

  • Like 1
Link to comment
Share on other sites

Just now, Vistapocalypse said:

It sounds like Logitech isn’t very good at ending support for old Windows versions!? Is installation of 2021.5 blocked on Windows 7? (Maybe they just forgot about Vista?) Keep an eye out for any issues with that version. People will want to know the last usable version and you seem to be MSFN’s leading authority on G HUB. :)

Yes its blocked on Windows 7,it wont allow me to update with that OS unsupported error when i click check for updates, i will keep an eye out for any issues thanks. :D

 

 

 

 

Link to comment
Share on other sites

well the latest firefox is unusable on vista now... and no it isnt localized to just the websites. its on all ui elements... this isFirefox 89. and 90 may be just as bad....(actually the firefox dev build does still have the issue)

Untitled.jpg

Link to comment
Share on other sites

3 hours ago, ScrapMechanicFan2016 said:

well the latest firefox is unusable on vista now... and no it isnt localized to just the websites. its on all ui elements... this isFirefox 89. and 90 may be just as bad....(actually the firefox dev build does still have the issue)

this is known if you read the other topic https://forum.eclipse.cx/viewforum.php?f=16

88.0.1 is perfectly usable and tbh i don't really like the new interface

Link to comment
Share on other sites

8 hours ago, winvispixp said:

tbh i don't really like the new interface

The Proton GUI introduced in Fx 89.0 release channel can, for now, be DISABLED via toggling ALL "proton"-enabled about:config prefs, followed by a browser restart :thumbup - those prefs will eventually be removed in future Fx versions, but user.js+userChrome.css+userContent.css based solutions are already available; until Mozilla kills them, too... :angry: :(

Disabling Proton will revert the GUI to Photon, first introduced with Fx Quantum 57.0...

  • Like 2
Link to comment
Share on other sites

  • 2 weeks later...

well.. since the topic on other forum got locked and win32 got banned, does anyone know if this project will continue or that's all we get?

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.

×
×
  • Create New...